package com.red.circle.game.fruit.application.dto.enums;

/**
 * @author lisizhe 2023/12/5  19:46
 */
public enum RankingOriginEnum {
  /**
   * 总榜
   */
  OVERALL,
  /**
   * 月榜
   */
  MONTH,
  /**
   * 日榜
   */
  TODAY;

  public String joinType(RankingTypeEnum type) {
    return this.name() + "-" + type.name();
  }
}
